### Class

# Ide ProjectInfo

#### Description

    final class Ide.ProjectInfo : GObject.Object {
      /* No available fields */
    }

This class contains information about a project that can be loaded. This information should be used to display a list of available projects.

Available since: | 3.32

#### Ancestors

- GObject

#### Constructors

###### ide_project_info_new

No description available.

#### Instance methods

###### ide_project_info_compare

No description available.

###### ide_project_info_equal

This function will check to see if information about `self` and `other` are similar enough that a request to open `other` would instead activate `self`. This is useful when a user tries to open the same project twice.

Available since: 3.32

###### ide_project_info_get_build_system_hint

No description available.

###### ide_project_info_get_build_system_name

No description available.

###### ide_project_info_get_description

No description available.

###### ide_project_info_get_directory

Gets the `IdeProjectInfo:directory` property. This is the directory containing the project (if known).

Available since: 3.32

###### ide_project_info_get_doap

No description available.

Available since: 3.32

###### ide_project_info_get_file

Gets the `IdeProjectInfo:file` property. This is the project file (such as configure.ac) of the project.

Available since: 3.32

###### ide_project_info_get_icon

Gets the `IdeProjectInfo:icon` property.

Available since: 3.32

###### ide_project_info_get_id

No description available.

###### ide_project_info_get_is_recent

No description available.

###### ide_project_info_get_languages

No description available.

Available since: 3.32

###### ide_project_info_get_last_modified_at

No description available.

Available since: 3.32

###### ide_project_info_get_name

No description available.

###### ide_project_info_get_priority

No description available.

###### ide_project_info_get_vcs_uri

Gets the VCS URI for the project info. This should be set with the remote URI for the version control system. It can be used to clone the project when activated from the greeter.

Available since: 3.32

###### ide_project_info_set_build_system_hint

No description available.

###### ide_project_info_set_build_system_name

No description available.

###### ide_project_info_set_description

No description available.

###### ide_project_info_set_directory

No description available.

###### ide_project_info_set_doap

No description available.

###### ide_project_info_set_file

No description available.

###### ide_project_info_set_icon

No description available.

###### ide_project_info_set_icon_name

No description available.

###### ide_project_info_set_id

No description available.

###### ide_project_info_set_is_recent

No description available.

###### ide_project_info_set_languages

No description available.

###### ide_project_info_set_last_modified_at

No description available.

###### ide_project_info_set_name

No description available.

###### ide_project_info_set_priority

No description available.

###### ide_project_info_set_vcs_uri

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.ProjectInfo:build-system-hint

No description available.

###### Ide.ProjectInfo:build-system-name

No description available.

###### Ide.ProjectInfo:description

No description available.

###### Ide.ProjectInfo:directory

No description available.

###### Ide.ProjectInfo:doap

No description available.

###### Ide.ProjectInfo:file

No description available.

###### Ide.ProjectInfo:icon

No description available.

###### Ide.ProjectInfo:icon-name

No description available.

###### Ide.ProjectInfo:id

No description available.

###### Ide.ProjectInfo:is-recent

No description available.

###### Ide.ProjectInfo:languages

No description available.

###### Ide.ProjectInfo:last-modified-at

No description available.

###### Ide.ProjectInfo:name

No description available.

###### Ide.ProjectInfo:priority

No description available.

###### Ide.ProjectInfo:vcs-uri

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeProjectInfoClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.